org.apache.solr.handler.dataimport.config

## Class ConfigNameConstants

- java.lang.Object
- - org.apache.solr.handler.dataimport.config.ConfigNameConstants

-     public class ConfigNameConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CHILD`
    `static String` | `CLASS`
    `static String` | `DATA_SRC`
    `static String` | `FUNCTION`
    `static String` | `IMPORTER_NS`
    `static String` | `IMPORTER_NS_SHORT`
    `static String` | `NAME`
    `static String` | `PROCESSOR`
    `static String` | `PROPERTY_WRITER`
    `static Set<String>` | `RESERVED_WORDS`
    `static String` | `ROOT_ENTITY`
    `static String` | `SCRIPT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigNameConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SCRIPT

          public static final String SCRIPT

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### PROCESSOR

          public static final String PROCESSOR

      See Also:
        Constant Field Values

    - #### PROPERTY_WRITER

          public static final String PROPERTY_WRITER

      See Also:
        Constant Field Values

    - #### IMPORTER_NS

          public static final String IMPORTER_NS

      See Also:
        Constant Field Values

    - #### IMPORTER_NS_SHORT

          public static final String IMPORTER_NS_SHORT

      See Also:
        Constant Field Values

    - #### ROOT_ENTITY

          public static final String ROOT_ENTITY

      See Also:
        Constant Field Values

    - #### CHILD

          public static final String CHILD

      See Also:
        Constant Field Values

    - #### FUNCTION

          public static final String FUNCTION

      See Also:
        Constant Field Values

    - #### CLASS

          public static final String CLASS

      See Also:
        Constant Field Values

    - #### DATA_SRC

          public static final String DATA_SRC

      See Also:
        Constant Field Values

    - #### RESERVED_WORDS

          public static final Set<String> RESERVED_WORDS

  - ### Constructor Detail

    - #### ConfigNameConstants

          public ConfigNameConstants()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.